org.springframework.web.reactive.function.client

## Interface WebClient.RequestBodyUriSpec

All Superinterfaces:
  WebClient.RequestBodySpec, WebClient.RequestHeadersSpec<WebClient.RequestBodySpec>, WebClient.RequestHeadersUriSpec<WebClient.RequestBodySpec>, WebClient.UriSpec<WebClient.RequestBodySpec>

Enclosing interface:
  WebClient

    public static interface WebClient.RequestBodyUriSpec
    extends WebClient.RequestBodySpec, WebClient.RequestHeadersUriSpec<WebClient.RequestBodySpec>

Contract for specifying request headers, body and URI for a request.

### Method Summary

### Methods inherited from interface org.springframework.web.reactive.function.client.WebClient.RequestBodySpec

`body, body, body, body, body, bodyValue, contentLength, contentType, syncBody`

### Methods inherited from interface org.springframework.web.reactive.function.client.WebClient.UriSpec

`uri, uri, uri, uri, uri`

### Methods inherited from interface org.springframework.web.reactive.function.client.WebClient.RequestHeadersSpec

`accept, acceptCharset, attribute, attributes, cookie, cookies, exchange, header, headers, ifModifiedSince, ifNoneMatch, retrieve`